<?php

class pointLocation {
    var $pointOnVertex = true; // Checar si el punto se encuentra exactamente en uno de los vértices?
 
    function pointLocation() {
    }
 
        function pointInPolygon($point, $polygon, $pointOnVertex = true) {
        $this->pointOnVertex = $pointOnVertex;
 
        // Transformar la cadena de coordenadas en matrices con valores "x" e "y"
        $point = $this->pointStringToCoordinates($point);
        $vertices = array(); 
        foreach ($polygon as $vertex) {
            $vertices[] = $this->pointStringToCoordinates($vertex); 
        }
 
        // Checar si el punto se encuentra exactamente en un vértice
        if ($this->pointOnVertex == true and $this->pointOnVertex($point, $vertices) == true) {
            return "dentro";
        }
 
        // Checar si el punto está adentro del poligono o en el borde
        $intersections = 0; 
        $vertices_count = count($vertices);
 
        for ($i=1; $i < $vertices_count; $i++) {
            $vertex1 = $vertices[$i-1]; 
            $vertex2 = $vertices[$i];
            if ($vertex1['y'] == $vertex2['y'] and $vertex1['y'] == $point['y'] and $point['x'] > min($vertex1['x'], $vertex2['x']) and $point['x'] < max($vertex1['x'], $vertex2['x'])) { // Checar si el punto está en un segmento horizontal
                return "dentro";
            }
            if ($point['y'] > min($vertex1['y'], $vertex2['y']) and $point['y'] <= max($vertex1['y'], $vertex2['y']) and $point['x'] <= max($vertex1['x'], $vertex2['x']) and $vertex1['y'] != $vertex2['y']) { 
                $xinters = ($point['y'] - $vertex1['y']) * ($vertex2['x'] - $vertex1['x']) / ($vertex2['y'] - $vertex1['y']) + $vertex1['x']; 
                if ($xinters == $point['x']) { // Checar si el punto está en un segmento (otro que horizontal)
                    return "dentro";
                }
                if ($vertex1['x'] == $vertex2['x'] || $point['x'] <= $xinters) {
                    $intersections++; 
                }
            } 
        } 
        // Si el número de intersecciones es impar, el punto está dentro del poligono. 
        if ($intersections % 2 != 0) {
            return "dentro";
        } else {
            return "fuera";
        }
    }
 
    function pointOnVertex($point, $vertices) {
        foreach($vertices as $vertex) {
            if ($point == $vertex) {
                return true;
            }
        }
 
    }
 
    function pointStringToCoordinates($pointString) {
        $coordinates = explode(" ", $pointString);
        return array("x" => $coordinates[0], "y" => $coordinates[1]);
    }
 
}

$ti_empresa=isset($_GET['ti_empresa']) ? $_GET['ti_empresa']:"";
$ti_flota=isset($_GET['ti_flota']) ? $_GET['ti_flota']:"";
$ti_vehiculo=isset($_GET['ti_vehiculo']) ? $_GET['ti_vehiculo']:"";
$ti_chofer=isset($_GET['ti_chofer']) ? $_GET['ti_chofer']:"";
$re_tiempo=isset($_GET['re_tiempo']) ? $_GET['re_tiempo']:"";
$fe_desde=isset($_GET['fe_desde']) ? $_GET['fe_desde']:"";
$fe_hasta=isset($_GET['fe_hasta']) ? $_GET['fe_hasta']:"";
$fe_desde_hora=isset($_GET['fe_desde_hora']) ? $_GET['fe_desde_hora']:"";
$fe_hasta_hora=isset($_GET['fe_hasta_hora']) ? $_GET['fe_hasta_hora']:"";
/*
$ti_empresa="472";
$ti_flota="334";
$ti_vehiculo="D1J736";
$ti_chofer="-1";
$re_tiempo="2";
$fe_desde="2019-04-28";
$fe_hasta="2019-04-28";
$fe_desde_hora="00:00";
$fe_hasta_hora="23:59";
*/
$lt_gl=0.26;

$fe_desde_hora = explode(":",$fe_desde_hora);
$fe_desde_hora2 = $fe_desde_hora[0].$fe_desde_hora[1]."00";

$fe_hasta_hora = explode(":",$fe_hasta_hora);
$fe_hasta_hora2 = $fe_hasta_hora[0].$fe_hasta_hora[1]."59";

function dateDiff($start, $end) {
$start_ts = strtotime($start);
$end_ts = strtotime($end);
$diff = $end_ts - $start_ts;
return round($diff / 86400);
}

$dif_fechas = dateDiff($fe_desde, $fe_hasta);

include("../consultas/dfp545_dbinfo.php");    
$conexion = mysql_connect($server, $user, $password) or die(mysql_error());
mysql_select_db($database, $conexion) or die(mysql_error());

$combo="<markers>"; 
$combo= $combo . "";
        
 
$sql3="select id_vehi,id_emp from vehiculo where placa='$ti_vehiculo'"; 
$res3=mysql_query($sql3,$conexion);
while($row = mysql_fetch_array($res3)) {
    $id_vehi=$row["id_vehi"];
    $id_emp=$row["id_emp"];
}

///BUSCA GEOCERCA
///Busca punto referencial de gocerca INICIAL
$sql3="select co_coordx,co_coordy from recorrido where id_vehi='$id_vehi' and f_fereg='$fe_desde' 
	and ho_hora>='$fe_desde_hora2' limit 1";
$res3=mysql_query($sql3,$conexion);
while($row = mysql_fetch_array($res3)) {
    $co_coordx_ini=$row["co_coordx"];
    $co_coordy_ini=$row["co_coordy"];
}
$points = array($co_coordx_ini." ".$co_coordy_ini);


$sql3="select co_coordx,co_coordy from recorrido where id_vehi='$id_vehi' and f_fereg='$fe_hasta'
        and ho_hora<='$fe_hasta_hora2' order by ho_hora desc  Limit 1";
$res3=mysql_query($sql3,$conexion);
while($row = mysql_fetch_array($res3)) {
    $co_coordx_fin=$row["co_coordx"];
    $co_coordy_fin=$row["co_coordy"];
}
$points_fin = array($co_coordx_fin." ".$co_coordy_fin);

///Busca geocercas de empresa y vehiculo
$sql3="select id_vehi, id_cerca_total,tipo_cerca,id_emp from geocerca where 
	(((tipo_cerca='0' and estado='1') or (tipo_cerca='1' and estado='1')) and id_vehi='$id_vehi') or 
	(((tipo_cerca='0' and estado='1') or (tipo_cerca='1' and estado='1')) and id_emp='$id_emp') 
	GROUP BY id_cerca_total order by id_cerca";
$res3=mysql_query($sql3,$conexion);
while($row = mysql_fetch_array($res3)) {
    $id_cerca_total=$row["id_cerca_total"];
    //$id_vehi=$row["id_vehi"];
    $tipo_cerca=$row["tipo_cerca"];
    $id_emp=$row["id_emp"];
    $estado='';
    
    $estado_control="";
    $pointLocation = new pointLocation();
    $polygon = array();

        ////Busca geocercas en base de datos
        $sql6="select co_coordx, co_coordy, id_vehi, nombre_geocerca from geocerca where id_cerca_total='$id_cerca_total' order by id_cerca asc"; 

	$i=0;           
        $res6=mysql_query($sql6,$conexion);
        while($row = mysql_fetch_array($res6)) {
            $co_coordx=$row["co_coordx"];
            $co_coordy=$row["co_coordy"];
	    $nombre_geocerca=$row["nombre_geocerca"];
            $coordenadas = $co_coordx." ".$co_coordy;
	    if($i==0){
		$coord_inicio = $coordenadas;
		$i++;
	    }
            array_push($polygon, $coordenadas);
        }
	array_push($polygon, $coord_inicio);
	
	////Busca punto dentro de geocerca - INICIO
        foreach($points as $key => $point) {
            $estado_actual = $pointLocation->pointInPolygon($point, $polygon);
        }
	
	if($estado_actual=='dentro'){
	    $nombre_geo=$nombre_geocerca;
	}
	
	////Busca punto dentro de geocerca - FIN
        foreach($points_fin as $key => $point) {
            $estado_fin = $pointLocation->pointInPolygon($point, $polygon);
        }

        if($estado_fin=='dentro'){
            $nombre_geo_fin=$nombre_geocerca;
        }
	//echo  $estado_actual."-".$estado_fin."-".$nombre_geocerca;
	//echo "<br>";
}

	if($nombre_geo==''){
            ///////Inicio busqueda km
            $x1=substr($co_coordx_ini,0,-4);
            $y1=substr($co_coordy_ini,0,-4);

            $count = 0;
            $sql4="select km_item,lat,lng,ruta,km,departamento from kms_mtc where lat like '$x1%' and lng like '$y1%'";
            $res4=mysql_query($sql4,$conexion);
            while($row = mysql_fetch_array($res4)) {
                $km_item=$row["km_item"];
                $lat=$row["lat"];
                $lng=$row["lng"];
                $count++;

            }

            $dif_lng1=0;


            if($km_item=='' and $count<>1){
                $count = 0;
                $dif_lng1='';
                $dif_lng2='';
                $sql4="select lat,lng,km_item from kms_mtc where lat like '$x1%'";
                $res4=mysql_query($sql4,$conexion);
                while($row = mysql_fetch_array($res4)) {
                    $count++;
                    $lat=$row["lat"];
                    $lng=$row["lng"];
                    $dif_lng = abs(round(($lng - $co_coordy),4));
                    if($dif_lng1==''){
                        $dif_lng1 = $dif_lng;
                    }else{
                        $dif_lng2 = $dif_lng;
                    }

                    if($dif_lng1>$dif_lng2){
                        $km_item=$row["km_item"];
                        $dif_lng1 = $dif_lng;
                    }
                }

                if($count>2){
                    $count = 0;


                }
            }

            if($km_item<>'' and $dif_lng1<0.01){
                $sql4="select lat,lng,ruta,km,departamento from kms_mtc where km_item='$km_item' Limit 1";
                $res4=mysql_query($sql4,$conexion);
                while($row = mysql_fetch_array($res4)) {
                    $lat=$row["lat"];
                    $lng=$row["lng"];
                    $ruta=$row["ruta"];
                    $km=$row["km"];
                    $departamento=$row["departamento"];
                    if(($km<50 and $departamento=='LIMA' and $descripcion=='PE-1N') or($km<50 and $departamento=='LIMA' and $descripcion=='PE-1S') ){
                    //if($km<50 and $departamento=='LIMA'){
                        $direccion=='';
                    }else{
                        $direccion=$ruta."  Km ".$km.", ".$departamento;
                    }
                }
            }


            if($direccion==''){
                $x=round($registro5[0],4);
                $y=round($registro5[1],4);
                $sql4="select descripcion from coordenadas where x='$x' and y='$y'";
                $res4=mysql_query($sql4,$conexion);
                while($row = mysql_fetch_array($res4)) {
                    $direccion=$row["descripcion"];
                }

            }

	    if($direccion<>''){
		$nombre_geo=$direccion;
	    }

	}



        if($nombre_geo_fin==''){
            ///////Inicio busqueda km
            $x1=substr($co_coordx_fin,0,-4);
            $y1=substr($co_coordy_fin,0,-4);

	    $km_item='';
            $count = 0;
            $sql4="select km_item,lat,lng,ruta,km,departamento from kms_mtc where lat like '$x1%' and lng like '$y1%'";
            $res4=mysql_query($sql4,$conexion);
            while($row = mysql_fetch_array($res4)) {
                $km_item=$row["km_item"];
                $lat=$row["lat"];
                $lng=$row["lng"];
                $count++;

            }

            $dif_lng1=0;


            if($km_item=='' and $count<>1){
                $count = 0;
                $dif_lng1='';
                $dif_lng2='';
                $sql4="select lat,lng,km_item from kms_mtc where lat like '$x1%'";
                $res4=mysql_query($sql4,$conexion);
                while($row = mysql_fetch_array($res4)) {
                    $count++;
                    $lat=$row["lat"];
                    $lng=$row["lng"];
                    $dif_lng = abs(round(($lng - $co_coordy),4));
                    if($dif_lng1==''){
                        $dif_lng1 = $dif_lng;
                    }else{
                        $dif_lng2 = $dif_lng;
                    }

                    if($dif_lng1>$dif_lng2){
                        $km_item=$row["km_item"];
                        $dif_lng1 = $dif_lng;
                    }
                }

                if($count>2){
                    $count = 0;


                }
            }
            if($km_item<>'' and $dif_lng1<0.01){
                $sql4="select lat,lng,ruta,km,departamento from kms_mtc where km_item='$km_item' Limit 1";
                $res4=mysql_query($sql4,$conexion);
                while($row = mysql_fetch_array($res4)) {
                    $lat=$row["lat"];
                    $lng=$row["lng"];
                    $ruta=$row["ruta"];
                    $km=$row["km"];
                    $departamento=$row["departamento"];
                    if(($km<50 and $departamento=='LIMA' and $descripcion=='PE-1N') or($km<50 and $departamento=='LIMA' and $descripcion=='PE-1S') ){
                    //if($km<50 and $departamento=='LIMA'){
                        $direccion_fin=='';
                    }else{
                        $direccion_fin=$ruta."  Km ".$km.", ".$departamento;
                    }
                }
            }


            if($direccion_fin==''){
                $x=round($registro5[0],4);
                $y=round($registro5[1],4);
                $sql4="select descripcion from coordenadas where x='$x' and y='$y'";
                $res4=mysql_query($sql4,$conexion);
                while($row = mysql_fetch_array($res4)) {
                    $direccion_fin=$row["descripcion"];
                }

            }

            if($direccion_fin<>''){
                $nombre_geo_fin=$direccion_fin;
            }

        }

	//echo $id_vehi."-".$fe_desde."-".$fe_desde_hora2."-".$fe_hasta_hora2;    
if($dif_fechas=='0'){
	$sql="SELECT MAX( combust_utilizado ) as max_comb , MIN( combust_utilizado ) as min_comb, MIN( distance ) as min_dist, 
	MAX( distance ) as max_dist, MIN(ho_motor) as min_ho, MAX(ho_motor) as max_ho, MAX(rpm) as rpm, MAX(speed) as vel, MAX(id_chofer) as id_chofer
	FROM  `recorrido` 
	WHERE id_vehi =  '$id_vehi'
	AND f_fereg =  '$fe_desde'
	AND ho_hora >=  '$fe_desde_hora2'
	AND ho_hora <=  '$fe_hasta_hora2'
	AND combust_utilizado <>0 and din1=1";

        $res=mysql_query($sql,$conexion);
    
        while($row = mysql_fetch_array($res)) {
	
            $max_comb=$row["max_comb"];
            $min_comb=$row["min_comb"];
            $max_dist=$row["max_dist"];
            $min_dist=$row["min_dist"];
            $max_ho=$row["max_ho"];
            $min_ho=$row["min_ho"];
	    $max_rpm=$row["rpm"];
	    $max_vel=$row["vel"];
	    $id_chofer=$row["id_chofer"];
	    $gl = ($max_comb - $min_comb)*$lt_gl;
	    $distancia = ($max_dist - $min_dist)/1000;
	    $horas = $max_ho - $min_ho;

	    if($distancia==0){
                $sql2="select sum(re_distancia) as distancia from recorrido where date(f_fereg)='$fe_desde' and ho_hora>='$fe_desde_hora2' and 
		ho_hora<='$fe_hasta_hora2' and id_vehi='$id_vehi'";
                $res2=mysql_query($sql2,$conexion);
                while($row = mysql_fetch_array($res2)) {
                    $distancia=round($row["distancia"],1);
                }
	    }

            $combo = $combo . "<marker gl='". $gl ."' distancia='". $distancia ."' horas='". $horas ."' pto_inicio='" .$nombre_geo. "' pto_fin='" .$nombre_geo_fin. "'
			lt_inicio='".$co_coordx_ini."' lg_inicio='".$co_coordy_ini."' lt_fin='".$co_coordx_fin."' lg_fin='".$co_coordy_fin."'
			rpm='".$max_rpm."' vel='".$max_vel."' id_chofer='".$id_chofer."'/> ";            

        }
}else{
	$sql="SELECT MAX( combust_utilizado ) as max_comb , MIN( combust_utilizado ) as min_comb, MIN( distance ) as min_dist,
        MAX( distance ) as max_dist, MIN(ho_motor) as min_ho, MAX(ho_motor) as max_ho, MAX(rpm) as rpm, MAX(speed) as vel, MAX(id_chofer) as id_chofer
        FROM  `recorrido`
        WHERE id_vehi =  '$id_vehi'
        AND ((f_fereg =  '$fe_desde' AND ho_hora >=  '$fe_desde_hora2')
        OR (f_fereg =  '$fe_hasta' AND ho_hora <=  '$fe_hasta_hora2'))
        AND combust_utilizado <>0 order by f_fereg, ho_hora asc";

        $res=mysql_query($sql,$conexion);

        while($row = mysql_fetch_array($res)) {

            $max_comb=$row["max_comb"];
            $min_comb=$row["min_comb"];
            $max_dist=$row["max_dist"];
            $min_dist=$row["min_dist"];
            $max_ho=$row["max_ho"];
            $min_ho=$row["min_ho"];
            $max_rpm=$row["rpm"];
            $max_vel=$row["vel"];
	    $id_chofer=$row["id_chofer"];
            $gl = ($max_comb - $min_comb)*$lt_gl;
            $distancia = ($max_dist - $min_dist)/1000;
            $horas = $max_ho - $min_ho;

	    if($distancia==0){
                $sql2="select sum(re_distancia) as distancia from recorrido where date(f_fereg)>='$fe_desde' and ho_hora>='$fe_desde_hora2' and 
		date(f_fereg)<='$fe_hasta' and ho_hora<='$fe_hasta_hora2' and id_vehi='$id_vehi'";
                $res2=mysql_query($sql2,$conexion);
                while($row = mysql_fetch_array($res2)) {
                    $distancia=round($row["distancia"],1);
                }
	    }

            $combo = $combo . "<marker gl='". $gl ."' distancia='". $distancia ."' horas='". $horas ."' pto_inicio='" .$nombre_geo. "' pto_fin='" .$nombre_geo_fin. "'
			lt_inicio='".$co_coordx_ini."' lg_inicio='".$co_coordy_ini."' lt_fin='".$co_coordx_fin."' lg_fin='".$co_coordy_fin."'
			rpm='".$max_rpm."' vel='".$max_vel."' id_chofer='".$id_chofer."'/> ";
	}
}

$combo=$combo ." </markers>"; 
header("Content-type: application/xml"); 
echo $combo;

?> 
