/*******************************************************************************
********************FUNCIONES PARA CONTROLAR LOS UBIGEOS************************
********************************************************************************/

//Funcion principal para colocar los ubigeos...
function colocaubigeo(formulario)
{

  creadepart(formulario);
  alcambiardepart(formulario);
  alcambiarprovin(formulario);
}

//Crea los departamentos
function creadepart(formulario){
 
  cargardepartamentos(formulario);
             
}

//Crea las provincias
function creaprovin(formulario,co_depart){

  cargarprovincias(formulario,co_depart);
  }

//Crea los distritos
function creadistri(formulario,co_depart,co_provin){
cargardistritos(formulario,co_depart,co_provin);  

}

//Controla el disparo del evento del cambio de departamento
function alcambiardepart(formulario){

  creaprovin(formulario,formulario.co_depart.value);
  creadistri(formulario,formulario.co_depart.value,formulario.co_provin.value);
}
    
//Controla el disparo del evento del cambio de provincia
function alcambiarprovin(formulario){
  creadistri(formulario,formulario.co_depart.value,formulario.co_provin.value);
}



function seleccionaDepart(formulario)
{

  var texto;
  for(i=0 ; i<formulario.co_depart.options.length ; i++)
  {
    texto = formulario.co_depart.options[i].value;
    if(texto == eco_depart)
    {
      formulario.co_depart.options[i].selected = true;
      break;
    }
  }
}

function seleccionaProvin(formulario)
{

  var texto;
  for(i=0 ; i<formulario.co_provin.options.length ; i++)
  {
    texto = formulario.co_provin.options[i].value;
    if(texto == eco_provin)
    {
      formulario.co_provin.options[i].selected = true;
      break;
    }
  }
}

function seleccionaDistri(formulario)
{
  var texto;
  for(i=0 ; i<formulario.co_distri.options.length ; i++)
  {
    texto = formulario.co_distri.options[i].value;
    if(texto == eco_distri)
    {
      formulario.co_distri.options[i].selected = true;
      break;
    }
  }
}


    function cargardepartamentos(formulario){
        
                var xmlObj2=null;
                            
            if(window.XMLHttpRequest) {
                    xmlObj2 = new XMLHttpRequest();
                }else if(window.ActiveXObject) {
                    xmlObj2 = new ActiveXObject("Microsoft.XMLHTTP");
            }
            //xmlObj2.onreadystatechange = procesarCargarPromotores;
            xmlObj2.onreadystatechange = function(){
                if(xmlObj2.readyState == 4){
                    if(xmlObj2.status == 200){
                        
           procesarCargarDepartamentos(xmlObj2.responseXML,formulario);
                    }else{
                        alert('Hay problemas con la solicitud');
                    }
                }
            }
            var aleatorio = Math.random();
            url = '../../SAjaxUbigeo?no_accion=cargardepartamentos&nocache='+aleatorio;
            
            xmlObj2.open ('GET', url , true);
            xmlObj2.send ('');

               
               } 
               
                function procesarCargarDepartamentos(obj,formulario){

            formulario.co_depart.options.length = 0;
            
            for (i = 0; i < obj.getElementsByTagName('DEPARTAMENTO').length; i++){ 
                departamento = obj.getElementsByTagName('DEPARTAMENTO')[i]; 
                co_departamento=departamento.getElementsByTagName('CO_DEPARTAMENTO')[0];
                no_departamento=departamento.getElementsByTagName('NO_DEPARTAMENTO')[0];
                if(co_departamento.firstChild.data!=''){
            
                formulario.co_depart.options[i] = new Option(no_departamento.firstChild.data,co_departamento.firstChild.data);
                }
            } 
            formulario.co_depart.length=i;

            seleccionaDepart(formulario);
            creaprovin(formulario,formulario.co_depart.options[formulario.co_depart.selectedIndex].value);
                     


}


        
                
     
                
               function cargarprovincias(formulario,co_depart){
            
            
                var xmlObj2=null;
                            
            if(window.XMLHttpRequest) {
                    xmlObj2 = new XMLHttpRequest();
                }else if(window.ActiveXObject) {
                    xmlObj2 = new ActiveXObject("Microsoft.XMLHTTP");
            }
            //xmlObj2.onreadystatechange = procesarCargarPromotores;
            xmlObj2.onreadystatechange = function(){
                if(xmlObj2.readyState == 4){
                    if(xmlObj2.status == 200){
                        procesarCargarProvincias(xmlObj2.responseXML,formulario);
                    }else{
                        alert('Hay problemas con la solicitud');
                    }
                }
            }
            var aleatorio = Math.random();
            url = '../../SAjaxUbigeo?no_accion=cargarprovincias&co_depart='+co_depart+'&nocache='+aleatorio;
          
            xmlObj2.open ('GET', url , true);
            xmlObj2.send ('');

               
               } 
               
                function procesarCargarProvincias(obj,formulario){
  
            formulario.co_provin.options.length = 0;
            
            for (i = 0; i < obj.getElementsByTagName('PROVINCIA').length; i++){ 
                provincia = obj.getElementsByTagName('PROVINCIA')[i]; 
                co_provincia=provincia.getElementsByTagName('CO_PROVINCIA')[0];
                no_provincia=provincia.getElementsByTagName('NO_PROVINCIA')[0];
                if(co_provincia.firstChild.data!=''){
            
                formulario.co_provin.options[i] = new Option(no_provincia.firstChild.data,co_provincia.firstChild.data);
                }
            } 

            formulario.co_provin.length=i;
  seleccionaProvin(formulario);

  creadistri(formulario,formulario.co_depart.options[formulario.co_depart.selectedIndex].value,formulario.co_provin.options[formulario.co_provin.selectedIndex].value); 
                               
            
        }
        
        
        
                  
               function cargardistritos(formulario,co_depart,co_provin){
                var xmlObj2=null;
                         
            if(window.XMLHttpRequest) {
                    xmlObj2 = new XMLHttpRequest();
                }else if(window.ActiveXObject) {
                    xmlObj2 = new ActiveXObject("Microsoft.XMLHTTP");
            }
            //xmlObj2.onreadystatechange = procesarCargarPromotores;
            xmlObj2.onreadystatechange = function(){
                if(xmlObj2.readyState == 4){
                    if(xmlObj2.status == 200){
                        procesarCargarDistritos(xmlObj2.responseXML,formulario);
                    }else{
                        alert('Hay problemas con la solicitud');
                    }
                }
            }
            var aleatorio = Math.random();
            url = '../../SAjaxUbigeo?no_accion=cargardistritos&co_provin='+co_provin+'&co_depart='+co_depart+'&nocache='+aleatorio;
            
            xmlObj2.open ('GET', url , true);
            xmlObj2.send ('');

               
               } 
               
                function procesarCargarDistritos(obj,formulario){
         
            formulario.co_distri.options.length = 0;
            
            for (i = 0; i < obj.getElementsByTagName('DISTRITO').length; i++){ 
                distrito = obj.getElementsByTagName('DISTRITO')[i]; 
                co_distrito=distrito.getElementsByTagName('CO_DISTRITO')[0];
                no_distrito=distrito.getElementsByTagName('NO_DISTRITO')[0];
                if(co_distrito.firstChild.data!=''){
            
                formulario.co_distri.options[i] = new Option(no_distrito.firstChild.data,co_distrito.firstChild.data);
                }
            } 
            formulario.co_distri.length=i;
            
seleccionaDistri(formulario);                                 
            
        }
                