<?php

	require_once 'dbconfig.php';
	
	if(isset($_GET['delete_id']))
	{
		// select image from db to delete
		$stmt_select = $DB_con->prepare('SELECT imagen FROM fotos_vehi WHERE id_vehi=1');
		$stmt_select->execute(array(':uid'=>$_GET['delete_id']));
		$imgRow=$stmt_select->fetch(PDO::FETCH_ASSOC);
		unlink("user_images/".$imgRow['movil_Img']);
		
		// it will delete an actual record from db
		$stmt_delete = $DB_con->prepare('DELETE FROM tbl_movil WHERE movil_ID =:uid');
		$stmt_delete->bindParam(':uid',$_GET['delete_id']);
		$stmt_delete->execute();
		
		header("Location: index.php");
	}

?>
<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=yes" />
<title>Subir, Insertar, Actualizar, Borrar una imágen usando PHP y MySQL</title>
<link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="bootstrap/css/bootstrap-theme.min.css">
<script src="bootstrap/js/jquery.min.js"></script>
</head>

<body>

<div class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
 
        <div class="navbar-header">
            <a class="navbar-brand" href="http://www.ideaschile.cl" title='Inicio' target="_blank">Inicio</a>
            <a class="navbar-brand" href="#" target="_blank">Tutorial</a>
        </div>
 
    </div>
</div>

<div class="container">

	<div class="page-header">
    	<h1 class="h2">todos los modelos. / <a class="btn btn-default" href="addnew.php"> <span class="glyphicon glyphicon-plus"></span> &nbsp; agregar nuevo</a></h1> 
    </div>
    
<br />

<div class="row">
<?php
	
	$stmt = $DB_con->prepare('SELECT id_vehi,id_emp,imagen FROM fotos_vehi ORDER BY id_foto_vehi');
	$stmt->execute();
	
	if($stmt->rowCount() > 0)
	{
		while($row=$stmt->fetch(PDO::FETCH_ASSOC))
		{
			extract($row);
			?>
			<div class="col-xs-3">
				<p class="page-header"><?php echo $id_vehi."&nbsp;/&nbsp;".$id_emp; ?></p>
				<img src="user_images/<?php echo $row['imagen']; ?>" class="img-rounded" width="250px" height="250px" />
				<p class="page-header">
				<span>
				<a class="btn btn-info" href="editform.php?edit_id=<?php echo $row['id_foto_vehi']; ?>" title="click for edit" onclick="return confirm('va a editar, esta seguro ?')"><span class="glyphicon glyphicon-edit"></span> Editar</a> 
				<a class="btn btn-danger" href="?delete_id=<?php echo $row['id_foto_vehi']; ?>" title="click for delete" onclick="return confirm('va a borrar, esta seguro ?')"><span class="glyphicon glyphicon-remove-circle"></span> Borrar</a>
				</span>
				</p>
			</div>       
			<?php
		}
	}
	else
	{
		?>
        <div class="col-xs-12">
        	<div class="alert alert-warning">
            	<span class="glyphicon glyphicon-info-sign"></span> &nbsp; Datos no encontrados ...
            </div>
        </div>
        <?php
	}
	
?>
</div>	



<div class="alert alert-info">
    <strong>tutorial link !</strong> <a href="http://www.ideaschile.cl/subir-insertar-actualizar-borrar-imagenes-php-mysql.php">Ideas Chile &copy;</a>
</div>

</div>

<script src="bootstrap/js/bootstrap.min.js"></script>

</body>
</html>
