<?php
/**
 * PHPExcel
 *
 * Copyright (C) 2006 - 2014 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    1.8.0, 2014-03-02
 */

/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
date_default_timezone_set('Europe/London');

include("../../../consultas/dfp545_dbinfo.php");    
$conexion = mysql_connect($server, $user, $password) or die(mysql_error());
mysql_select_db($database, $conexion) or die(mysql_error());

if (PHP_SAPI == 'cli')
	die('This example should only be run from a Web Browser');

/** Include PHPExcel */
require_once dirname(__FILE__) . '/../Classes/PHPExcel.php';


// Create new PHPExcel object
$objPHPExcel = new PHPExcel();

// Set document properties
$objPHPExcel->getProperties()->setCreator("Maarten Balliauw")
							 ->setLastModifiedBy("Maarten Balliauw")
							 ->setTitle("Office 2007 XLSX Test Document")
							 ->setSubject("Office 2007 XLSX Test Document")
							 ->setDescription("Test document for Office 2007 XLSX, generated using PHP classes.")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Test result file");

function restaHoras($horaIni, $horaFin){
return (date("H:i:s", strtotime("00:00:00") + strtotime($horaFin) - strtotime($horaIni) ));
}

function sumar($h1,$h2){
$h2h = date('H', strtotime($h2));
$h2m = date('i', strtotime($h2));
$h2s = date('s', strtotime($h2));
$hora2 =$h2h." hour ". $h2m ." min ".$h2s ." second";
$horas_sumadas= $h1." + ". $hora2;
$text=date('H:i:s', strtotime($horas_sumadas)) ;
return $text;
}

$ti_empresa="169";

$fe_inicio = date("Y-m-d");
//$fe_inicio = "2012-10-28";
$fe_inicio1 = strtotime($fe_inicio);
$fe_fin1 = strtotime('-7 day', $fe_inicio1);
$fe_fin_ref=date('Y-m-d', $fe_fin1);

$fe_ini1 = strtotime('-1 day', $fe_inicio1);
$fe_ini_ref=date('Y-m-d', $fe_ini1);

$fe_desde1 = $fe_fin1;
$fe_hasta1 = $fe_inicio1;
$fe_desde2 = $fe_fin1;
$fe_hasta2 = $fe_inicio1;
$distancia_T=0;

$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'REPORTE SEMANALES DE KM RECORRIDOS')
            ->setCellValue('A2', 'Desde '.$fe_fin_ref.' hasta '.$fe_ini_ref);

$fila1 = 4;
$fila2 = 4;
$fila3 = 4;
$fila4 = 4;
$fila5 = 4;
$fila6 = 4;
$fila7 = 4;
$fila8 = 4;
$fila9 = 4;
$col = 'A';
$inicio = 0;
$recorrido=0;

$sql="select no_descripcion_flota, id_flota from flota where id_emp='$ti_empresa'"; 
$res=mysql_query($sql,$conexion);
while($row = mysql_fetch_array($res)) {
    $id_flota=$row["id_flota"];
    $flota=$row["no_descripcion_flota"];
    $filaA = 'A' . $fila1;
    $filaB = 'B' . $fila2;
    // Add some data
    $objPHPExcel->setActiveSheetIndex(0)
                ->setCellValue($filaA, $flota);
    $fila1++;
    $fila2++;

    $filaA = 'A' . $fila1;
    $filaB = 'B' . $fila2;

            
    for (; $fe_desde1 < $fe_hasta1; $fe_desde1 = strtotime('+1 day', $fe_desde1)){
        $fecha=date('Y-m-d', $fe_desde1);
        $colum = $col . $fila1;

        if($inicio==0){
            $objPHPExcel->setActiveSheetIndex(0)
                ->setCellValue($colum, 'PLACA');
            
            $col2 = ++$col . PHP_EOL;
            $colum = $col . $fila1;
            $inicio++;
        }
                
        $objPHPExcel->setActiveSheetIndex(0)
                ->setCellValue($colum, $fecha);
        $col2 = ++$col . PHP_EOL;

        $colum = $col . $fila1;
        $objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue($colum, 'TOTAL');
    
    }
    
    $inicio = 0;
    $fila1++;
    $fila2++;
    $fe_desde1 = $fe_fin1;
    $fe_hasta1 = $fe_inicio1;
    $col = 'A';

    $sql2="select id_vehi,placa from vehiculo where id_flota='$id_flota'";
    $res2=mysql_query($sql2,$conexion);
    while($row = mysql_fetch_array($res2)) {
        $id_vehi=$row["id_vehi"];
        $placa=$row["placa"];
        $colum = $col . $fila1;

        $objPHPExcel->setActiveSheetIndex(0)
                ->setCellValue($colum, $placa);
        


        for (; $fe_desde2 < $fe_hasta2; $fe_desde2 = strtotime('+1 day', $fe_desde2)){
            $fecha=date('Y-m-d', $fe_desde2);
           $sql3="select km_diarios from km_diarios where date(fecha)='$fecha' and id_vehi='$id_vehi'";
            $res3=mysql_query($sql3,$conexion);
            while($row = mysql_fetch_array($res3)) {
                $distancia=round($row["km_diarios"],1);
                $distancia_T=$distancia_T + $distancia;
                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;
                
                $objPHPExcel->setActiveSheetIndex(0)
                        ->setCellValue($colum, $distancia);
                    
                $recorrido = 1;
            }
            
            if($recorrido==0){
                $distancia=0;
                $distancia_T=$distancia_T + $distancia;
                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;
                
                $objPHPExcel->setActiveSheetIndex(0)
                        ->setCellValue($colum, $distancia);
            }
            $recorrido=0;
            
        }
            $col2 = ++$col . PHP_EOL;
            $colum = $col . $fila1;
                
            $objPHPExcel->setActiveSheetIndex(0)
                        ->setCellValue($colum, $distancia_T);
                        
            $fe_desde2 = $fe_fin1;
            $fe_hasta2 = $fe_inicio1;
            $distancia_T = 0;
        $fila1++;
        $col = 'A';
    }

    $inicio = 0;
    $fila1++;
    $fila2++;
    $fe_desde1 = $fe_fin1;
    $fe_hasta1 = $fe_inicio1;
    $col = 'A';        
        
}

// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('Simple');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a clients web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
//header('Content-Disposition: attachment;filename="01simple.xlsx"');
header("Content-Disposition: attachment;filename=reporte_semanal_".date("d-m-Y").".xlsx");
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;
