<?php
/**
 * PHPExcel
 *
 * Copyright (C) 2006 - 2014 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    1.8.0, 2014-03-02
 */

/** Error reporting */
error_reporting(E_ALL);
ini_set('display_errors', TRUE);
ini_set('display_startup_errors', TRUE);
#date_default_timezone_set('Europe/London');
date_default_timezone_set('America/Lima');

include("../consultas/dfp545_dbinfo.php");    
#$conexion = mysql_connect($server, $user, $password) or die(mysql_error());
#mysql_select_db($database, $conexion) or die(mysql_error());
$conexion = mysqli_connect($server, $user, $password, $database);


if (PHP_SAPI == 'cli')
	die('This example should only be run from a Web Browser');

/** Include PHPExcel */
require_once dirname(__FILE__) . '/Classes/Classes/PHPExcel.php';



// Create new PHPExcel object
$objPHPExcel = new PHPExcel();

// Set document properties
$objPHPExcel->getProperties()->setCreator("Maarten Balliauw")
							 ->setLastModifiedBy("Maarten Balliauw")
							 ->setTitle("Office 2007 XLSX Test Document")
							 ->setSubject("Office 2007 XLSX Test Document")
							 ->setDescription("Test document for Office 2007 XLSX, generated using PHP classes.")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Test result file");
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(5);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(11);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(15);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(14);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setWidth(13);
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setWidth(11);
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setWidth(22);
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setWidth(22);

function restaHoras($horaIni, $horaFin){
return (date("H:i:s", strtotime("00:00:00") + strtotime($horaFin) - strtotime($horaIni) ));
}

function sumar($h1,$h2){
$h2h = date('H', strtotime($h2));
$h2m = date('i', strtotime($h2));
$h2s = date('s', strtotime($h2));
$hora2 =$h2h." hour ". $h2m ." min ".$h2s ." second";
$horas_sumadas= $h1." + ". $hora2;
$text=date('H:i:s', strtotime($horas_sumadas)) ;
return $text;
}

$fe_inicio=isset($_POST['fecha']) ? $_POST['fecha']:"";
$fe_inicio = date("Y-m-d");
$hora_act = date("H:i:s");
//$fe_inicio = "2019-01-07";
$fe_inicio1 = strtotime($fe_inicio);
$fe_fin1 = strtotime('-7 day', $fe_inicio1);
$fe_fin_ref=date('Y-m-d', $fe_fin1);

$fe_ini1 = strtotime('-1 day', $fe_inicio1);
$fe_ini_ref=date('Y-m-d', $fe_ini1);

$fe_desde1 = $fe_fin1;
$fe_hasta1 = $fe_inicio1;
$fe_desde2 = $fe_fin1;
$fe_hasta2 = $fe_inicio1;
$distancia_T=0;

$objPHPExcel->getActiveSheet()->getStyle("A1")->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle("A2")->getFont()->setBold(true);

$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'REPORTE DIARIO DISTRIBUACION')
            ->setCellValue('A2', 'Del '.$fe_inicio.' a las '.$hora_act);

$ti_empresa = '444';
$fila1 = 2;


$sql4="select no_descripcion_flota, id_flota from flota where id_emp='$ti_empresa'";
$res4=mysqli_query($conexion, $sql4);
while($row = mysqli_fetch_array($res4)) {
	$i = 1;
	$col = 'A';
        $id_flota=$row["id_flota"];
	$no_descripcion_flota=$row["no_descripcion_flota"];
	$fila1 = $fila1 + 2;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
	        ->setCellValue($colum, $no_descripcion_flota);

	$fila1 = $fila1 + 1;
	$col = 'A';
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($colum, 'No');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($colum, 'Vehiculo');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($colum, 'Fecha ult. trans.');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($colum, 'Hora ult. trans.');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($colum, 'Km recorrido');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
		->setCellValue($colum, 'No Paradas');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
	        ->setCellValue($colum, 'Salida');

	$col2 = ++$col . PHP_EOL;
	$colum = $col . $fila1;

	$objPHPExcel->setActiveSheetIndex(0)
	        ->setCellValue($colum, 'Ingreso');

	$col = 'A';
	$inicio = 0;
	$recorrido=0;
	$inicio_cuadro = $col . $fila1;
	$fin_cuadro = $colum;

	$objPHPExcel->getActiveSheet()->getStyle($inicio_cuadro.":".$fin_cuadro)->getFill()->setFillType(PHPExcel_Style_Fill::FILL_SOLID);
	$objPHPExcel->getActiveSheet()->getStyle($inicio_cuadro.":".$fin_cuadro)->getFill()->getStartColor()->setARGB('81BEF7');

	$objPHPExcel->getActiveSheet()->getStyle($inicio_cuadro.":".$fin_cuadro)->getFont()->setBold(true);
	$objPHPExcel->getActiveSheet()->getStyle($inicio_cuadro.":".$fin_cuadro)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);

	$sql3="select placa,id_max_reco,ve_situacion,id_vehi,id_cerca_total from vehiculo where id_flota='$id_flota' and id_emp='$ti_empresa' order by placa asc"; 
	$res3=mysqli_query($conexion, $sql3);
	while($row = mysqli_fetch_array($res3)) {
		$salida = '';
		$entrada = '';
		$distancia = '';
		$col = 'A';
	        $fila1 = $fila1 + 1;
        	$colum = $col . $fila1;

		$nombre_geo='';
		$placa=$row["placa"];
		$id_vehi=$row["id_vehi"];
		$id_max_reco=$row["id_max_reco"];
		$ve_situacion=$row["ve_situacion"];
		$id_cerca_total=$row["id_cerca_total"];

		$sql="select km_diarios from km_diarios where date(fecha)='$fe_inicio' and id_vehi='$id_vehi' limit 1";
		$res=mysqli_query($conexion, $sql);
	        while($row = mysqli_fetch_array($res)) {
			$distancia=round($row["km_diarios"],1);
			$distancia = sprintf("%01.1f", $distancia);
		}

		$co_coordx_ant = 0;
		$cant_paradas = 0;
		$sql="select id_reco from recorrido where date(f_fereg)='$fe_inicio' and id_vehi='$id_vehi' and re_velocidad='0' and re_tiempo>5 and re_tiempo<120 
		and ho_hora>='070000' and ho_hora<='230000'";
                $res=mysqli_query($conexion, $sql);
                while($row = mysqli_fetch_array($res)) {
			$id_reco_parado=$row["id_reco"];

			$sql1="select co_coordx from recorrido where id_reco='$id_reco_parado' limit 1";
			
			$res1=mysqli_query($conexion, $sql1);
			while($row = mysqli_fetch_array($res1)) {
				$co_coordx=$row["co_coordx"];
			}

			$coord_ajus = round($co_coordx,5);

			#Verificacion de duplicidad
			if($coord_ajus<>$co_coordx_ant){
				$cant_paradas++;
				$co_coordx_ant = $coord_ajus;
			}
		}
		$hora_sal = "00:00:00";

		$sql="select id_historico,id_alerta,fe_inicio_alerta,ho_inicio_alerta,id_chofer,id_reco,id_cerca_total,estado from historico_alerta where
			id_alerta='1' and tipo_cerca='1' and date(fe_inicio_alerta)='$fe_inicio'
			and ho_inicio_alerta>='053000' and ho_inicio_alerta<='120000' and id_vehi='$id_vehi'
			order by fe_inicio_alerta, ho_inicio_alerta asc";

		##Inicio consulta alarma 2
		$var1 = 0;
		$huT = 0;
		$a=1;
                $res=mysqli_query($conexion, $sql);
                while($row = mysqli_fetch_array($res)) {
			//$id_alerta=$row["id_alerta"];
			$fe_inicio_alerta=$row["fe_inicio_alerta"];
			$ho_inicio_alerta=$row["ho_inicio_alerta"];
			//$id_reco=$row["id_reco"];
			$id_cerca_total_sal=$row["id_cerca_total"];
			$estado=$row["estado"];
			//$id_historico=$row["id_historico"];

			$hh_sal = substr($ho_inicio_alerta,0,2);
			$mm_sal = substr($ho_inicio_alerta,2,2);
			$ss_sal = substr($ho_inicio_alerta,4,2);
			$hora_sal = $hh_sal.":".$mm_sal.":".$ss_sal;

			$sql5="select nombre_geocerca from geocerca where id_cerca_total='$id_cerca_total_sal'";
			
			$res5=mysqli_query($conexion, $sql5);
			while($row = mysqli_fetch_array($res5)) {
				$nombre_geocerca_sal=$row["nombre_geocerca"];
			}
			
			if($estado=='in'){
				$alerta_not = 'Entro a '.$nombre_geocerca_sal;
			}else{
				$salida = $nombre_geocerca_sal.', '.$hora_sal;
			    //$salida = $hora_sal;
			}
			
	                $hora_transito_geo = "00:00:00";
        	        $hora_dentro_geo = "00:00:00";

		}
/*
		$sql="select id_historico,id_alerta,fe_inicio_alerta,ho_inicio_alerta,id_chofer,id_reco,id_cerca_total,estado from historico_alerta where
			id_alerta='1' and tipo_cerca='1' and date(fe_inicio_alerta)='$fe_inicio'
			and ho_inicio_alerta>='100000' and ho_inicio_alerta<='240000' and id_vehi='$id_vehi'
			order by ho_inicio_alerta asc limit 1";

		##Inicio consulta alarma 2
		$var1 = 0;
		$huT = 0;
		$a=1;
		$hora_ent = "00:00:00";

                $res=mysqli_query($conexion, $sql);
                while($row = mysqli_fetch_array($res)) {
			$fe_inicio_alerta=$row["fe_inicio_alerta"];
			$ho_inicio_alerta=$row["ho_inicio_alerta"];
			$id_cerca_total_ent=$row["id_cerca_total"];
			$estado=$row["estado"];

			$hh_ent = substr($ho_inicio_alerta,0,2);
			$mm_ent = substr($ho_inicio_alerta,2,2);
			$ss_ent = substr($ho_inicio_alerta,4,2);
			$hora_ent = $hh_ent.":".$mm_ent.":".$ss_ent;

			$sql5="select nombre_geocerca from geocerca where id_cerca_total='$id_cerca_total_ent'";
			
			$res5=mysqli_query($conexion, $sql5);
			while($row = mysqli_fetch_array($res5)) {
				$nombre_geocerca_ent=$row["nombre_geocerca"];
			}

			//echo $nombre_geocerca_ent.', '.$hora_ent;
			//echo "<br>";
			if($estado=='in'){
				$entrada = $nombre_geocerca_ent.', '.$hora_ent;
			}else{
				$salida_not = $nombre_geocerca_sal.', '.$hora_sal;
				//$salida = $hora_sal;
			}
			
			$hora_transito_geo = "00:00:00";
			$hora_dentro_geo = "00:00:00";
			$id_cerca_total_ent ='';
		}
*/
		///Calculo color de salida
		$hora_salida = explode(":", $hora_sal);

		if($hora_salida[0]<=7){
			if($hora_salida[1]<30){
				$color_salida='009900';
			}else{
				$color_salida='FFFF33';
			}
		}else{
			$color_salida='FF3333';
		}

		if($salida==''){
		    $color_salida='FF3333';
		}
/*
		///Calculo color de entrada

		$hora_entrada = explode(":", $hora_ent);

		if($hora_entrada[0]<19){
		    $color_entrada='009900';
		}elseif($hora_entrada[0]==19){
		    $color_entrada='FFFF33';
		}else{
		    $color_entrada='FF3333';
		}
*/
		$sql5="select co_coordx,co_coordy,re_velocidad,f_fereg,ho_hora from recorrido where
			id_reco='$id_max_reco' order by id_reco desc";

		$res5=mysqli_query($conexion, $sql5);
		while($row = mysqli_fetch_array($res5)) {
			$f_fereg=$row["f_fereg"];
			$ho_hora=$row["ho_hora"];

			$hh = substr($ho_hora,0,2);
			$mm = substr($ho_hora,2,2);
			$ss = substr($ho_hora,4,2);
			$hora = $hh.":".$mm.":".$ss;
		}

		$objPHPExcel->setActiveSheetIndex(0)
				->setCellValue($colum, $i);

		$col2 = ++$col . PHP_EOL;
		$colum = $col . $fila1;

		$objPHPExcel->setActiveSheetIndex(0)
				->setCellValue($colum, $placa);

                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;

                $objPHPExcel->setActiveSheetIndex(0)
                                ->setCellValue($colum, $f_fereg);

                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;

                $objPHPExcel->setActiveSheetIndex(0)
                                ->setCellValue($colum, $hora);

                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;

                $objPHPExcel->setActiveSheetIndex(0)
                                ->setCellValue($colum, $distancia);

                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;

                $objPHPExcel->setActiveSheetIndex(0)
                                ->setCellValue($colum, $cant_paradas);

                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;

                $objPHPExcel->setActiveSheetIndex(0)
                                ->setCellValue($colum, $salida);

		$objPHPExcel->getActiveSheet()->getStyle($colum.':'.$colum)->getFill()->setFillType(PHPExcel_Style_Fill::FILL_SOLID);
		$objPHPExcel->getActiveSheet()->getStyle($colum.':'.$colum)->getFill()->getStartColor()->setARGB($color_salida);

                $col2 = ++$col . PHP_EOL;
                $colum = $col . $fila1;
/*
                $objPHPExcel->setActiveSheetIndex(0)
                                ->setCellValue($colum, $entrada);

                $objPHPExcel->getActiveSheet()->getStyle($colum.':'.$colum)->getFill()->setFillType(PHPExcel_Style_Fill::FILL_SOLID);	
                $objPHPExcel->getActiveSheet()->getStyle($colum.":".$colum)->getFill()->getStartColor()->setARGB($color_entrada);

*/

		$i++;

	}
}


/*
$sql="select no_descripcion_flota, id_flota from flota where id_emp='$ti_empresa'"; 
$res=mysqli_query($conexion, $sql);
while($row = mysqli_fetch_array($res)) {
    $inicio_flota = 0;
    $id_flota=$row["id_flota"];
    $flota=$row["no_descripcion_flota"];
    $filaA = 'A' . $fila1;
    $filaB = 'B' . $fila2;
    // Add some data

    $inicio = 0;

    $fila2++;
    $fe_desde1 = $fe_fin1;
    $fe_hasta1 = $fe_inicio1;
    $col = 'A';
    $colb = 'B';
    $colc = 'C';
    $cold = 'D';
    $cole = 'E';
    $colf = 'F';

    $sql2="select id_vehi,placa,id_chofer from vehiculo where id_flota='$id_flota'";
    $res2=mysqli_query($conexion,$sql2);
    while($row = mysqli_fetch_array($res2)) {
        $id_vehi=$row["id_vehi"];
        $placa=$row["placa"];
		$id_chofer=$row["id_chofer"];
        $colum = $col . $fila1;

		$cliente='-';	

		$sql3="select no_chofer from chofer where id_chofer='$id_chofer'";
		$res3=mysqli_query($conexion,$sql3);
			while($row = mysqli_fetch_array($res3)) {
				$cliente=$row["no_chofer"];
		}

		$ho_T="00:00";
		$horas_dia_T=0;
		$horas_min_T=0;
		$cont=1;


		$objPHPExcel->setActiveSheetIndex(0)
					->setCellValue($colum, $placa);

		$col= 'A';        
		for (; $fe_desde2 < $fe_hasta2; $fe_desde2 = strtotime('+1 day', $fe_desde2)){
			$fecha=date('Y-m-d', $fe_desde2);
			$encontrol_horas = 0;
			
			$sql3="select horas,hora_actual from km_diarios where date(fecha)='$fecha' and id_vehi='$id_vehi'";
			$res3=mysqli_query($conexion,$sql3);
			while($row = mysqli_fetch_array($res3)) {
				$encontrol_horas = 1;
				$distancia=round($row["horas"],1);
				$distancia_T=$distancia_T + $distancia;
				$ho_totales = $row["hora_actual"];
				$ho_totales_maq=explode(".",$ho_totales);
				$ho_totales_maq=$ho_totales_maq[0].":".$ho_totales_maq[1];

				#AAA$col2 = ++$col . PHP_EOL;
				$colum = $col . $fila1;
				$colum2 = $colb . $fila1;
				$colum3 = $colc . $fila1;
				$colum4 = $cold . $fila1;
				$colum5 = $cole . $fila1;
				$colum6 = $colf . $fila1;
				$fila1++;

				###Conversion a horas
				$cant_dig=strlen($distancia);
				if($cant_dig=='4'){
					$ho_utiles=str_split($distancia);
					$ho_utiles=$ho_utiles[0].$ho_utiles[1].":".$ho_utiles[2].$ho_utiles[3];
				}elseif($cant_dig=='3'){
					$ho_utiles=str_split($distancia);
					$ho_utiles="0".$ho_utiles[0].":".$ho_utiles[1].$ho_utiles[2];
				}elseif($cant_dig=='2'){
					$ho_utiles=str_split($distancia);
					$ho_utiles="00:".$ho_utiles[0].$ho_utiles[1];
				}elseif($cant_dig=='1'){
					$ho_utiles=str_split($distancia);
					$ho_utiles="00:0".$ho_utiles[0];
				}

				###Sumar para total de horas por placa
				$ho_T1=explode(":",$ho_utiles);
				$horas_dia=$ho_T1[0];
				$min_dia=$ho_T1[1];

				if($cont==1){
					$hora_dia_T=$horas_dia;
					$min_dia_T=$min_dia;
					$cont++;

					$horas_dia_T=$horas_dia_T + $horas_dia;
					$horas_min_T=$horas_min_T + $min_dia;

					$ho_T=$horas_dia_T.":".$horas_min_T;
				}else{
					$ho_T2=explode(":",$ho_T);
					$horas_dia_T=$ho_T2[0];
					$horas_min_T=$ho_T2[1];

					$horas_dia_T=$horas_dia_T + $horas_dia;
					$horas_min_T=$horas_min_T + $min_dia;

					$ho_T=$horas_dia_T.":".$horas_min_T;
				}

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum, $flota);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum2, $cliente);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum3, $placa);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum4, $fecha);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum5, $ho_utiles);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum6, $ho_totales_maq);
					
				$recorrido = 1;
			}

			if($encontrol_horas ==0){
				$colum = $col . $fila1;
				$colum2 = $colb . $fila1;
				$colum3 = $colc . $fila1;
				$colum4 = $cold . $fila1;
				$colum5 = $cole . $fila1;
				$fila1++;

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum, $flota);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum2, $cliente);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum3, $placa);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum4, $fecha);

				$objPHPExcel->setActiveSheetIndex(0)
						->setCellValue($colum5, $ho_utiles);
			}            

			$recorrido=0;        
		}
                
		$fe_desde2 = $fe_fin1;
		$fe_hasta2 = $fe_inicio1;
		$distancia_T = 0;

        $col = 'A';
    }

    $inicio = 0;

    $fila2++;
    $fe_desde1 = $fe_fin1;
    $fe_hasta1 = $fe_inicio1;
    $col = 'A';        
        
}
*/
// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('Simple');


// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);


// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="01simple.xlsx"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
#PHPExcel_Settings::setZipClass(PHPExcel_Settings::PCLZIP);
$objWriter->save('php://output');
exit;
?>
