<!doctype html>
<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js ie6 oldie" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" lang="en"> <![endif]-->
<!-- Consider adding an manifest.appcache: h5bp.com/d/Offline -->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en"> <!--<![endif]-->
<head>
  <meta charset="utf-8">

  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

  <title>Map polygons</title>
  <meta name="description" content="">
  <meta name="author" content="">

  <!-- Mobile viewport optimized: j.mp/bplateviewport -->
  <meta name="viewport" content="width=device-width,initial-scale=1">


  
    <script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
  <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
  <script type="text/javascript">
  
  var map;
var dublinTriangle;
var geocoder = new google.maps.Geocoder(); 
var marker;
var points;
var flightPath;

var mapdiv = document.getElementById("map");
var map;
var poly;
var count = 0;
var points = new Array();
var markers = new Array();
var icon_url ="http://labs.google.com/ridefinder/images/";
var tooltip;
var lineColor = "#0000af";
var fillColor = "#335599";
var lineWeight = 3;
var lineOpacity = .8;
var fillOpacity = .2;

google.maps.Polygon.prototype.Contains = function(point) {
        // ray casting alogrithm http://rosettacode.org/wiki/Ray-casting_algorithm
        var crossings = 0,
            path = this.getPath();

        // for each edge
        for (var i=0; i < path.getLength(); i++) {
            var a = path.getAt(i),
                j = i + 1;
            if (j >= path.getLength()) {
                j = 0;
            }
            var b = path.getAt(j);
            if (rayCrossesSegment(point, a, b)) {
                crossings++;
            }
        }

        // odd number of crossings?
        return (crossings % 2 == 1);

        function rayCrossesSegment(point, a, b) {
            var px = point.lng(),
                py = point.lat(),
                ax = a.lng(),
                ay = a.lat(),
                bx = b.lng(),
                by = b.lat();
            if (ay > by) {
                ax = b.lng();
                ay = b.lat();
                bx = a.lng();
                by = a.lat();
            }
            // alter longitude to cater for 180 degree crossings
            if (px < 0) { px += 360 };
            if (ax < 0) { ax += 360 };
            if (bx < 0) { bx += 360 };

            if (py == ay || py == by) py += 0.00000001;
            if ((py > by || py < ay) || (px > Math.max(ax, bx))) return false;
            if (px < Math.min(ax, bx)) return true;

            var red = (ax != bx) ? ((by - ay) / (bx - ax)) : Infinity;
            var blue = (ax != px) ? ((py - ay) / (px - ax)) : Infinity;
            return (blue >= red);

        }

     };

function aliniciar(){
    buscargeocercas();
    var idtime=setInterval(buscargeocercas, 12000);
}

function buscargeocercas() {
      downloadUrl("phpsqlajax_genxml15.php", function(data) {
        var xml = data.responseXML;
        var markers = xml.documentElement.getElementsByTagName("marker");
        for (var i = 0; i < markers.length; i++) {
            var id_cerca_total = markers[i].getAttribute("id_cerca_total");
            var id_vehi = markers[i].getAttribute("id_vehi");
            var address = parseFloat(markers[i].getAttribute("lat"));
            var address2 = parseFloat(markers[i].getAttribute("lng"));
            var f_fereg = markers[i].getAttribute("f_fereg");
            var ho_hora = markers[i].getAttribute("ho_hora");
            var id_reco = markers[i].getAttribute("id_reco");
            var id_chofer = markers[i].getAttribute("id_chofer");
            var estado_control = markers[i].getAttribute("estado_control");
            var tipo_cerca = markers[i].getAttribute("tipo_cerca");
            var func = markers[i].getAttribute("func");
            var myLatLng2 = new google.maps.LatLng(address,address2);
            
            initialize2(id_cerca_total,id_vehi,f_fereg,ho_hora,id_reco,id_chofer,address,address2,estado_control,tipo_cerca,func);
        }
      });
}

function initialize2(id_cerca_total,id_vehi,f_fereg,ho_hora,id_reco,id_chofer,address,address2,estado_control,tipo_cerca,func) {
    var latlng = new google.maps.LatLng(-12.0954747,-77.0173217);
    var myOptions = { zoom: 12, center: latlng, mapTypeId: google.maps.MapTypeId.ROADMAP, scrollwheel: true };
    //map = new google.maps.Map(document.getElementById("map"), myOptions);
      downloadUrl("phpsqlajax_genxml8.php?max="+id_cerca_total, function(data) {
        this.removeOverlays();

        var xml = data.responseXML;
        var markers = xml.documentElement.getElementsByTagName("marker");
        for (var i = 0; i < markers.length; i++) {
            var lat = parseFloat(markers[i].getAttribute("lat"));
            var lng = parseFloat(markers[i].getAttribute("lng"));
            var point = new google.maps.LatLng(lat,lng);
            //alert(point);
            points.push(point);
            }
            
        polyline = new google.maps.Polygon({
            path: points,
            strokeColor: '#FF0000',
            strokeOpacity: 0.8,
            strokeWeight: 3,
            fillColor: '#FF0000',
            fillOpacity: 0.35
        });
        //alert(points);
        //polyline.setMap(map);

        var myLatLng2 = new google.maps.LatLng(address,address2);
	//alert(myLatLng2);
        if (polyline.Contains(myLatLng2)) {
            estado_actual = "dentro";
        } else {
            estado_actual = "fuera";
        }
        //alert(estado_actual);
        //alert(estado_control);
        if(estado_control=="in" && estado_actual=="fuera" && tipo_cerca=="0" && func=="0"){
          estado = "out";
          insertar_alarma(id_vehi,f_fereg,ho_hora,id_reco,id_chofer,id_cerca_total,estado,tipo_cerca,func);
        }else if(estado_control=="out" && estado_actual=="dentro" && tipo_cerca=="0" && func=="1"){
          estado = "in";
          insertar_alarma(id_vehi,f_fereg,ho_hora,id_reco,id_chofer,id_cerca_total,estado,tipo_cerca,func);
        }else if(estado_control=="in" && estado_actual=="fuera" && tipo_cerca=="1"){
          estado = "out";
          insertar_alarma(id_vehi,f_fereg,ho_hora,id_reco,id_chofer,id_cerca_total,estado,tipo_cerca,func);
        }else if(estado_control=="out" && estado_actual=="dentro" && tipo_cerca=="1"){
          estado = "in";
          insertar_alarma(id_vehi,f_fereg,ho_hora,id_reco,id_chofer,id_cerca_total,estado,tipo_cerca,func);
        }       
        
      });

        

      //codeAddress(id_vehi);
      //return id_vehi;

}

function codeAddress(id_vehi) {
      downloadUrl("phpsqlajax_genxml13.php?id_vehi="+id_vehi, function(data) {
        var xml = data.responseXML;
        var markers = xml.documentElement.getElementsByTagName("marker");
        for (var i = 0; i < markers.length; i++) {
          
            var address = parseFloat(markers[i].getAttribute("lat"));
            var address2 = parseFloat(markers[i].getAttribute("lng"));
            var f_fereg = markers[i].getAttribute("f_fereg");
            var ho_hora = markers[i].getAttribute("ho_hora");
            var id_reco = markers[i].getAttribute("id_reco");
            var id_chofer = markers[i].getAttribute("id_chofer");
            var myLatLng2 = new google.maps.LatLng(address,address2);
            
        if (polyline.Contains(myLatLng2)) {
            //alert("dentro");
            insertar_alarma(id_vehi,f_fereg,ho_hora,id_reco,id_chofer);
        } else {
            //alert("fuera");
        }
            
        }
        //borrar();
      });
}

function insertar_alarma(id_vehi,f_fereg,ho_hora,id_reco,id_chofer,id_cerca_total,estado,tipo_cerca,func){
      downloadUrl("phpsqlajax_genxml14.php?id_vehi="+id_vehi+"&f_fereg="+f_fereg+"&ho_hora="+ho_hora+"&id_reco="+id_reco+"&id_chofer="+id_chofer+"&id_cerca_total="+id_cerca_total+"&estado="+estado+"&tipo_cerca="+tipo_cerca+"&func="+func, function(data) {
        var xml = data.responseXML;
        var markers = xml.documentElement.getElementsByTagName("marker");
        for (var i = 0; i < markers.length; i++) {
            var mensaje = markers[i].getAttribute("mensaje");
            //alert(mensaje);          
        }
      });  
}

function removeOverlays() {
  
    for(var i=0; i<markers.length; i++){
        markers[i].setMap(null);
    }

    for(var i=0; i<points.length; i++){
        points[i]=null;
    }

    markers.length = 0;
    points.length = 0;
    if(poly!=null){
        poly.setMap(null);
    }
    
}

function borrar() {
    this.removeOverlays();
    points.length = 0;
    markers.length = 0;
    //miArray.length = 0;
}

function downloadUrl(url, callback) {
      var request = window.ActiveXObject ?
          new ActiveXObject('Microsoft.XMLHTTP') :
          new XMLHttpRequest;

      request.onreadystatechange = function() {
        if (request.readyState == 4) {
          request.onreadystatechange = doNothing;
          callback(request, request.status);
        }
      };

      request.open('GET', url, true);
      request.send(null);
    }

function doNothing() {}     
  </script>
  
</head>

<!--<body onload='inicio()'>
-->
<body onload='aliniciar()'>
    

<div id="map" style="width: 600px; height:600px;">..Ejecutando</div>

</body>
</html>
