<html>
<head>
    <script type="text/javascript" src="https://maps.google.com/maps/api/js?sensor=false"></script>
<script type="text/javascript" src="maps.google.polygon.containsLatLng.js"></script>

<title>Ubicacion Por GPS </title>
</head>

<body onload='initialize()'>
  
<div id="map_canvas" ></div>  

<table align="center" border="0" cellpadding="0" cellspacing="0" width="60%" class="tblleyenda">
    <tbody><tr><th align="center"><FONT SIZE="2"></FONT></th></tr></tbody>
</table>

<script type="text/javascript">
var map;
var dublinTriangle;
var bounds = new google.maps.LatLngBounds();
var geocoder = new google.maps.Geocoder();
var marker;
 
function initialize(){
    var myLatLng = new google.maps.LatLng(53.332251,-6.229965);
    var myOptions = {
        zoom: 13,
        center: myLatLng,
        mapTypeId: google.maps.MapTypeId.TERRAIN
    };
    alert(1);
    map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
    var dublinCoords = [            
        new google.maps.LatLng(53.335342,-6.227812399999948),
        new google.maps.LatLng(53.344339,-6.265383),            
        new google.maps.LatLng(53.3359108,-6.289094299999988),  
        new google.maps.LatLng(53.335342,-6.227812399999948)
    ];
         
    for (i = 0; i < dublinCoords.length; i++) {
        bounds.extend(dublinCoords[i]);
    }
         
    map.fitBounds(bounds);
         
    dublinTriangle = new google.maps.Polygon({
        paths: dublinCoords,
        strokeColor: "#FF0000",
        strokeOpacity: 0.8,
        strokeWeight: 2,
        fillColor: "#FF0000",
        fillOpacity: 0.35
    });
         
    dublinTriangle.setMap(map);
}
     
function codeAddress() {    
    var address = document.getElementById("address").value;
    geocoder.geocode( { 'address': address}, function(results, status) {
        if (status == google.maps.GeocoderStatus.OK) {
            map.setCenter(results[0].geometry.location);                
            var isWithinPolygon = dublinTriangle.containsLatLng(results[0].geometry.location);
            marker = new google.maps.Marker({
                map: map,
                position: results[0].geometry.location
            });
        } else {
            alert("Geocode was not successful for the following reason: " + status);
          }
    });
}


</script>
</body>
</html>