$(document).ready(function(){
  $.ajax({
    url: "graf3/graficar_km_emp_test.php",
    type: "GET",
    success: function(data) {
      console.log(data);
      var player = [];
      var score = [];

      for(var i in data) {
        player.push(data[i].playerid);
        //player.push("Player " + data[i].playerid);
        score.push(data[i].score);
      }


      var chartdata = {
        labels: player,
        datasets : [
          {
            label: 'Kms mensuales',
            backgroundColor: 'rgba(49, 106, 185, 1)',
            borderColor: 'rgba(49, 106, 185, 1)',
            hoverBackgroundColor: 'rgba(49, 106, 185, 1)',
            hoverBorderColor: 'rgba(49, 106, 185, 1)',
            data: score
          }
        ]
      };

      var ctx = $("#mycanvas");


      var barGraph = new Chart(ctx, {
        type: 'bar',
        data: chartdata,
        options: {
            responsive: true,
            maintainAspectRatio: false,
        }
      });
    },
    error: function(data) {
      console.log(data);
    }
  });
});
